"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAllowedRequestHeaders = exports.useAllowedResponseHeaders = void 0;
function useAllowedResponseHeaders(allowedHeaders) {
    return {
        onResponse({ response }) {
            removeDisallowedHeaders(response.headers, allowedHeaders);
        },
    };
}
exports.useAllowedResponseHeaders = useAllowedResponseHeaders;
function useAllowedRequestHeaders(allowedHeaders) {
    return {
        onRequest({ request }) {
            removeDisallowedHeaders(request.headers, allowedHeaders);
        },
    };
}
exports.useAllowedRequestHeaders = useAllowedRequestHeaders;
function removeDisallowedHeaders(headers, allowedHeaders) {
    for (const headerName of headers.keys()) {
        if (!allowedHeaders.includes(headerName)) {
            headers.delete(headerName);
        }
    }
}
